Bug 57066 - samba compilation error: redefinition of struct statfs
samba compilation error: redefinition of struct statfs
Status: CLOSED DUPLICATE of bug 55727
Product: Red Hat Linux
Classification: Retired
Component: samba (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-03 21:58 EST by Need Real Name
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-03 21:58:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-12-03 21:58:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-10 i686; Nav)

Description of problem:
I got the following error when compiling samba2.2.2 no matter what
configuration I used:
	Please see "Actuctual Results" below.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.configure samba2.2.2 to produce the Makefile using none or any options
2.type make
3.
	

Actual Results:  Compiling smbd/server.c
In file included from /usr/include/linux/vfs.h:4,
		 from /usr/include/linux/fs.h:14,
		 from /usr/include/linux/capability.h:17,
		 from /usr/include/sys/capanility.h:24,
		 from include/includes.h:333,
		 from smbd/server.c:22
/usr/include/asm/statfs.h:12 redefinition of 'struct statfs'
make: ***[smbd/server.o] Eror 1

Expected Results:  Make successfully

Additional info:

I also noticed that /usr/include/asm/statfs.h and /usr/include/bits/
statfs.h both define 'struct statfs' but the definition of the fields are
different. /usr/include/bits/statfs.h is used by /usr/include/sys/statfs.h
which is used by samba include/includes.h.
Comment 1 Trond Eivind Glomsrxd 2001-12-04 11:10:45 EST

*** This bug has been marked as a duplicate of 55727 ***

Note You need to log in before you can comment on or make changes to this bug.